# destroyExistingPod abstract method

Future<void> destroyExistingPod(

1. Object existingPod,
2. Class type,
3. String podName

)

Destroys an existing pod instance by invoking its destruction methods.

This method calls destruction callbacks such as @PreDestroy methods or DisposablePod interfaces.

## Usage Example:

    final pod = getExistingPod();
    await factory.destroyExistingPod(pod, Class<MyPod>(), 'myPod');
    // Now pod's @PreDestroy methods have been called

@param existingPod The pod instance to destroy @param type The class type of the pod @param podName The name of the pod being destroyed @return A Future that completes when destruction is done

## Implementation

    Future<void> destroyExistingPod(Object existingPod, Class type, String podName);